<script src="./Script.js"></script>

<template>
  <div>
    <div class="row" v-if="flexibleReportData && flexibleReportData.length > 0">
      <div class="col-md-6" v-for="(report, index) in flexibleReportData" :key="index">
        <template
          v-if="report.data_types_id == 8 || report.data_types_id == 14 || report.data_types_id == 15"
        >
          <stats-portlet
            :service="'customer'"
            :chart_title="'Thống kê tỷ lệ khách hàng theo ' + lowerCaseAttributeName(report.name)"
            :attribute_id="report.attribute_id"
            :chart_exists="report.chart_exists"
          >
            <pie-chart slot="chart" :service="'customer'" :chartData="report"></pie-chart>
            <table-chart slot="table" :chartData="report" :calculator_key="'quantity'"></table-chart>
          </stats-portlet>
        </template>
        <template
          v-if="report.data_types_id != 8 && report.data_types_id != 14 && report.data_types_id != 15"
        >
          <stats-portlet
            :service="'customer'"
            :chart_title="'Thống kê số lượng khách hàng theo ' + lowerCaseAttributeName(report.name)"
            :attribute_id="report.attribute_id"
            :chart_exists="report.chart_exists"
          >
            <column-chart slot="chart" :chartData="report"></column-chart>
            <table-chart slot="table" :chartData="report" :calculator_key="'quantity'"></table-chart>
          </stats-portlet>
        </template>
      </div>
    </div>
  </div>
</template>
